Security update for Iceweasel 3.6 preview

While the package is not ready yet for experimental, mostly because there are pending changes in the 3.5 branch, Mozilla released a security update today. So, here are the packages you need to be safe security-wise with Iceweasel 3.6. Please note only xulrunner packages have been updated, as the security fix lies in the xulrunner code.

A known regression of this version is that the icons in the search box on the top right don’t show up. Update: This regression actually doesn’t exist.

2010-03-23 22:16:40+0900

firefox, xulrunner

You can leave a response, or trackback from your own site.

11 Responses to “Security update for Iceweasel 3.6 preview”

  1. Robert Says:

    Thanks for putting this out so quickly. Search icons are fine here (the throbber icon is still static, not that it really matters).

  2. Anonymous Says:

    Random unusual item, dunno if it should become a bug report or not:

    Iceweasel 3.5.8 from latest unstable fails 6 tests on browserscope.org that Firefox 3.5 (all of 3.5 through 3.5.8) passes.

  3. glandium Says:

    Anonymous: Try without extensions, because I get the same results as Firefox 3.5, there.

  4. Gal Says:

    Thanks for the fast updates! It will be great if you can post it to experimental as well.

    Cheers, Gal

  5. DreamerC Says:

    Hi,

    I put iceweasel 3.6.2 packages (patched) to the website from yours, and it might help you.

    http://twemu.no-ip.org/apt/iceweasel/iceweasel_3.6.2-0preview1.dsc

  6. Anonymous Says:

    — debian/xulrunner-BASE_VERSION.links.in.orig +++ debian/xulrunner-BASE_VERSION.links.in @@ -1,4 +1,4 @@ -usr/lib/libmozjs.so.2d usr/lib/xulrunner-##BASE_VERSION##/libmozjs.so +usr/lib/libmozjs.so.3d usr/lib/xulrunner-##BASE_VERSION##/libmozjs.so usr/share/hunspell usr/lib/xulrunner-##BASE_VERSION##/dictionaries usr/share/xulrunner-##BASE_VERSION##/icons usr/lib/xulrunner-##BASE_VERSION##/i cons usr/share/xulrunner-##BASE_VERSION##/greprefs usr/lib/xulrunner-##BASE_VERSION#

    /greprefs

  7. glandium Says:

    Anonymous: that should be ##SO_VERSION## but well spotted. Thanks.

  8. Anonymous Says:

    glandium: Sure enough, the “It’s All Text” addon caused the failures.

  9. Dmitry Says:

    I hope 1.9.2.2 will be soone available, and will be in Squeeze release ;)

  10. Darren Says:

    I also noticed the static static throbber icon over the tab while loading a web page. Can you confirm this?

  11. Darren Says:

    As it turns out to be a know bug : http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=486827

Leave a Reply